# PSF-LoginServer - master - net.psforever.objects.vital.Vitality
PSF - LoginServer - master - net.psforever.objects.vital.Vitality
Keywords: PSF LoginServer master net.psforever.objects.vital.Vitality

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vital
  Definition Classes
    objects
-  package base
  Definition Classes
    vital
-  package collision
  Definition Classes
    vital
-  package damage
  Definition Classes
    vital
-  package environment
  Definition Classes
    vital
-  package etc
  Definition Classes
    vital
-  package interaction
  Definition Classes
    vital
-  package projectile
  Definition Classes
    vital
-  package prop
  Definition Classes
    vital
-  package resistance
  Definition Classes
    vital
-  package resolution
  Definition Classes
    vital
- AmenityHitResistance
- AmenitySplashResistance
- AnyResolutions
- ComplexDeployableResolutions
- DamageFrom
- DamageFromEnvironment
- DamageFromExplodingEntity
- DamageFromPainbox
- DamageFromProjectile
- DamagingActivity
- HealFromEquipment
- HealFromExoSuitChange
- HealFromImplant
- HealFromKit
- HealFromTerm
- HealingActivity
- InfantryAggravatedResistance
- InfantryHitResistance
- InfantryLashResistance
- InfantryResolutions
- InfantrySplashResistance
- MaxResolutions
- NoResistance
- NoResistanceSelection
- NoResolutions
- PlayerSuicide
- RepairFromEquipment
- RepairFromKit
- RepairFromTerm
- SimpleResolutions
- StandardAmenityResistance
- StandardInfantryResistance
- StandardVehicleResistance
- VehicleAggravatedResistance
- VehicleHitResistance
- VehicleLashResistance
- VehicleResolutions
- VehicleShieldCharge
- VehicleSplashResistance
- Vitality
- VitalityDefinition
- VitalsActivity
- VitalsHistory

t

net.psforever.objects.vital

# Vitality 

###
Companion object Vitality

#### trait Vitality extends VitalsHistory

A vital object can be hurt or damaged or healed or repaired (HDHR). The amount of HDHR is controlled by the damage model of this vital object reacting to stimulus. The damage model is provided.

Source
  Vitality.scala

Linear Supertypes
VitalsHistory, AnyRef, Any
Known Subclasses
BoomerDeployable, ExplosiveDeployable, Player, SensorDeployable, ShieldGeneratorDeployable, TelepadDeployable, TrapDeployable, TurretDeployable, Vehicle, BaseDeployable, Deployable, Door, Generator, CaptureFlag, CaptureFlagSocket, IFFLock, Locker, VehicleSpawnPad, Painbox, ResourceSilo, OrbitalShuttle, OrbitalShuttlePad, ShuttleAmenity, Amenity, ProximityTerminal, Terminal, CaptureTerminal, ImplantTerminalMech, SpawnTube, FacilityTurret, InternalTelepad, ProximityTerminalUtility, SpawnTubeUtility, TeleportPadTerminalUtility, TerminalUtility

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Vitality
2. VitalsHistory
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def DamageModel: DamageAndResistance
2.  abstract def Definition: VitalityDefinition

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def CanDamage: Boolean
5.  def CanRepair: Boolean
6.  def ClearHistory(): List[VitalsActivity]
   Definition Classes
     VitalsHistory
7.  def DefaultHealth: Int
8.  def Health: Int
9.  def Health_=(assignHealth: Int): Int
10.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
11.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
12.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
13.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
14.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
15.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
16.  def MaxHealth: Int
17.  def MaxHealth_=(default: Option[Int]): Int
18.  def MaxHealth_=(default: Int): Int
19.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
27.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
33.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from VitalsHistory

### Inherited from AnyRef

### Inherited from Any

### Ungrouped